Bug 1266951 - RH Updates: Default update channels and repos must be updated
RH Updates: Default update channels and repos must be updated
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance (Show other bugs)
5.5.0
Unspecified Unspecified
high Severity high
: GA
: 5.5.0
Assigned To: Nick Carboni
Jan Krocil
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-28 12:04 EDT by Jan Krocil
Modified: 2015-12-08 08:33 EST (History)
7 users (show)

See Also:
Fixed In Version: 5.5.0.12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:33:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 2 Russell Laliberte 2015-10-05 14:20:33 EDT
CF-ME 5.5 is RHEL 7 only, there is no plan to provide for RHEL 6/Sat5 

The default channels that are currently being stood up:to support CF-ME 5.5
cf-me-5.5-for-rhel-7-rpms rhel-server-rhscl-7-rpms

WRT to enabling the optional channel; 
Optional channels are not supported.
the optional channel was to satisfy a requirement in sssd-bus which shipped in optional in RHEL 7
There was a bug filed on this and the package will now be shipping in base for RHEL-7.2

https://bugzilla.redhat.com/show_bug.cgi?id=1180604

The planned release date is 11/19/15

https://errata.devel.redhat.com/advisory/20547

Please contact Jan Blazek (jblazek@redhat.com) for further updates
Comment 3 Nick Carboni 2015-10-15 15:23:06 EDT
(In reply to Russell Laliberte from comment #2)
> CF-ME 5.5 is RHEL 7 only, there is no plan to provide for RHEL 6/Sat5 
> 
> The default channels that are currently being stood up:to support CF-ME 5.5
> cf-me-5.5-for-rhel-7-rpms rhel-server-rhscl-7-rpms

This means that updating to cfme 5.5 means losing support for updates from Sat5.  This will involve creating a migration which will remove any configured Sat5 update subscriptions.
Comment 4 Nick Carboni 2015-10-15 17:25:35 EDT
https://github.com/ManageIQ/manageiq/pull/4908
Comment 6 Nick Carboni 2015-10-22 17:17:47 EDT
(In reply to Russell Laliberte from comment #2)
> CF-ME 5.5 is RHEL 7 only, there is no plan to provide for RHEL 6/Sat5 

After speaking with John Hardy about this, it seems like support for Sat5 (rhn) would be a requirement for this release.

I'll just need the channel names for that subscription to move forward.
Comment 7 Nick Carboni 2015-11-03 07:25:20 EST
Any update here?
Comment 9 Nick Carboni 2015-11-23 09:26:47 EST
As of right now my changes will update the default repos for the subscription manager/Sat6 in the interface as well as migrate the data in the database if someone has those repos saved.

In the Sat5 case my changes currently remove the defaults from the UI (giving a blank entry in the "Channel Name(s)" text box when Sat5 is selected) and also sets the repos in the database to an empty string if the user had the old Sat5 defaults configured.

This is as much as we can do without the new Sat5 repo names.
Is that enough to merge in for GA or are we waiting on the repo names to merge?
Comment 10 Nick Carboni 2015-11-23 16:13:36 EST
The decision to update the old default Sat5 repo names to empty strings will not cause too much of a disruption.

There will be no issue upgrading to cfme 5.5 as we are deploying this release as a new appliance (versus pulling new files from the repos).  And once a customer using Sat5 for updates deploys the 5.5 appliance they will just need to enter the Sat5 repo names into the UI manually to receive subsequent releases that way.

Customers who defer and update from 5.4.z to 5.5.z will have their repo names updated automatically as we will add the Sat5 repo name migration in a later change once the required information becomes available.
Comment 11 CFME Bot 2015-11-23 16:47:25 EST
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/8abafa364907135cf76579f21403ed5b0e375d76

commit 8abafa364907135cf76579f21403ed5b0e375d76
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Tue Nov 17 16:35:37 2015 -0500
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Fri Nov 20 08:45:16 2015 -0500

    Updated default repo names
    
    Added new repos for Satellite 6 and RHN
    Removed default repos for Satellite 5 until we know what
    they are.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1266951

 app/models/miq_database.rb                       | 4 ++--
 spec/models/miq_database_spec.rb                 | 4 ++--
 spec/models/miq_server/update_management_spec.rb | 2 +-
 3 files changed, 5 insertions(+), 5 deletions(-)
Comment 12 CFME Bot 2015-11-23 16:47:31 EST
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/92193a203aa2053667f7904920f55964ebac289f

commit 92193a203aa2053667f7904920f55964ebac289f
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Thu Nov 19 16:23:02 2015 -0500
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Fri Nov 20 08:45:16 2015 -0500

    Added migrations to update default repo names
    
    This migration will update the RHN/Sat6 repo names and change
    the default names for Sat5 to empty strings.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1266951

 ...51119202643_update_default_update_repo_names.rb | 30 ++++++++++++++++++
 ...202643_update_default_update_repo_names_spec.rb | 36 ++++++++++++++++++++++
 2 files changed, 66 insertions(+)
 create mode 100644 db/migrate/20151119202643_update_default_update_repo_names.rb
 create mode 100644 spec/migrations/20151119202643_update_default_update_repo_names_spec.rb
Comment 13 CFME Bot 2015-11-23 18:03:52 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=ab6500062ccc025d180de2a2a28cc80170a5c449

commit ab6500062ccc025d180de2a2a28cc80170a5c449
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Tue Nov 17 16:35:37 2015 -0500
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Mon Nov 23 16:45:41 2015 -0500

    Updated default repo names
    
    Added new repos for Satellite 6 and RHN
    Removed default repos for Satellite 5 until we know what
    they are.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1266951

 app/models/miq_database.rb                       | 4 ++--
 spec/models/miq_database_spec.rb                 | 4 ++--
 spec/models/miq_server/update_management_spec.rb | 2 +-
 3 files changed, 5 insertions(+), 5 deletions(-)
Comment 14 CFME Bot 2015-11-23 18:03:58 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=23fe28da7e3ffcfcdc2be71881fddf7da8f8dfc4

commit 23fe28da7e3ffcfcdc2be71881fddf7da8f8dfc4
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Thu Nov 19 16:23:02 2015 -0500
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Mon Nov 23 16:45:49 2015 -0500

    Added migrations to update default repo names
    
    This migration will update the RHN/Sat6 repo names and change
    the default names for Sat5 to empty strings.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1266951

 ...51119202643_update_default_update_repo_names.rb | 30 ++++++++++++++++++
 ...202643_update_default_update_repo_names_spec.rb | 36 ++++++++++++++++++++++
 2 files changed, 66 insertions(+)
 create mode 100644 db/migrate/20151119202643_update_default_update_repo_names.rb
 create mode 100644 spec/migrations/20151119202643_update_default_update_repo_names_spec.rb
Comment 16 Jan Krocil 2015-11-26 10:46:00 EST
Verified fixed in 5.5.0.12 - 5.5.0.12-rc2.20151124135609_653c0d4.

Sat6/RHSM: cf-me-5.5-for-rhel-7-rpms rhel-server-rhscl-7-rpms
Sat5: empty (as expected; to be added in later versions)
Comment 18 errata-xmlrpc 2015-12-08 08:33:23 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.